Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162668 - make bzImage fails when reconfiguring the system kernel
Summary: make bzImage fails when reconfiguring the system kernel
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ernie Petrides
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-07 13:34 UTC by Kieran Foley
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-14 20:08:59 UTC


Attachments (Terms of Use)

Description Kieran Foley 2005-07-07 13:34:12 UTC
Description of problem: Failure at "make bzImage" when trying to re-compile 
the system kernel.


Version-Release number of selected component (if applicable): 2.4.21-4.ELsmp


How reproducible:


Steps to Reproduce:
1. Install SunTrafficManager-4.6-5
2. "make xconfig" and enable Sun Traffic Manager in the SCSI support window
3. make clean
4. make dep
5. make bzImage
  
Actual results:
/usr/src/linux-2.4.21-4.EL/include/net/ah.h: In function `ah_hmac_digest':
/usr/src/linux-2.4.21-4.EL/include/net/ah.h:26: warning: implicit declaration 
of function `crypto_hmac_init'
/usr/src/linux-2.4.21-4.EL/include/net/ah.h:27: `crypto_hmac_update' 
undeclared (first use in this function)
/usr/src/linux-2.4.21-4.EL/include/net/ah.h:27: (Each undeclared identifier is 
reported only once
/usr/src/linux-2.4.21-4.EL/include/net/ah.h:27: for each function it appears 
in.)
/usr/src/linux-2.4.21-4.EL/include/net/ah.h:28: warning: implicit declaration 
of function `crypto_hmac_final'
In file included from xfrm_algo.c:19:
/usr/src/linux-2.4.21-4.EL/include/net/esp.h: In function `esp_hmac_digest':
/usr/src/linux-2.4.21-4.EL/include/net/esp.h:49: `crypto_hmac_update' 
undeclared (first use in this function)
make[3]: *** [xfrm_algo.o] Error 1
make[3]: Leaving directory `/usr/src/linux-2.4.21-4.EL/net/xfrm'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory `/usr/src/linux-2.4.21-4.EL/net/xfrm'
make[1]: *** [_subdir_xfrm] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.21-4.EL/net'
make: *** [_dir_net] Error 2


Expected results:

Compilation completes successfully

Additional info:

Comment 1 Jussi Silvennoinen 2005-07-14 06:57:09 UTC
You forgot make mrproper

Comment 2 Ernie Petrides 2005-07-14 20:08:59 UTC
The correct build-from-source procedure is as follows:

  1) make mrproper
  2) cp configs/kernel-2.4.21-i686-smp.config .config  [or some other config]
  3) make oldconfig
  4) make dep
  5) make bzImage
  6) make modules

The correct install procedure (following the above) is:

  1) make modules_install
  2) make install

Note that custom-built kernels are not supported (and they might not work).



Note You need to log in before you can comment on or make changes to this bug.